ONVIF::Device::Types::IrCutFilterAutoAdjustment(3)

NAME
ONVIF::Device::Types::IrCutFilterAutoAdjustment

DESCRIPTION
Perl data type class for the XML Schema defined complexType IrCutFilterAutoAdjustment from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   BoundaryType

•   BoundaryOffset

•   ResponseTime

•   Extension

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::IrCutFilterAutoAdjustment
   BoundaryType =>  $some_value, # string
   BoundaryOffset =>  $some_value, # float
   ResponseTime =>  $some_value, # duration
   Extension =>  { # ONVIF::Device::Types::IrCutFilterAutoAdjustmentExtension
   },
 },

AUTHOR
Generated by SOAP::WSDL